AetherDependencyManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether
[Groovy] Class AetherDependencyManager

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.AetherDependencyManager

All Implemented Interfaces:
  DependencyManager

    @groovy.transform.CompileStatic
    class AetherDependencyManager

An implementation of the DependencyManager interface that uses Aether, the dependency resolution engine used by Maven.

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`protected java.util.List` | `buildDependencies`
`protected java.util.List` | `dependencies`
`protected java.util.List` | `grailsDependencies`
`protected java.util.Map` | `grailsDependenciesByScope`
`protected java.util.Set` | `grailsPluginDependencies`
`protected java.util.Map` | `grailsPluginDependenciesByScope`
`protected org.eclipse.aether.graph.Dependency` | `jvmAgent`
`protected DependencyReport` | `jvmAgentReport`
`protected java.util.List` | `repositories`

Property Summary
`static java.lang.String` | `DEFAULT_CACHE`
`static java.util.Map` | `SCOPE_MAPPINGS`
`java.lang.String` | `basedir`
`java.lang.String` | `cacheDir`
`java.lang.String` | `checksumPolicy`
`boolean` | `defaultDependenciesProvided`
`org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`
`boolean` | `includeJavadoc` Whether to include the javadoc
`boolean` | `includeSource` Whether to include the source
`java.util.Map` | `inheritedDependencies`
`boolean` | `java5compatible`
`GrailsConsoleLoggerManager` | `loggerManager`
`boolean` | `readPom`
`org.apache.maven.settings.Settings` | `settings`

Constructor Summary
`AetherDependencyManager()`

Method Summary
`protected void` | `addAttachments(org.eclipse.aether.graph.DependencyNode root, java.lang.String classifier)`
`void` | `addBuildDependency(Dependency dependency, org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector = null)`
`void` | `addBuildDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)`
`void` | `addDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)`
`void` | `addDependency(Dependency dependency, java.lang.String scope, org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector = null)`
`java.net.Proxy` | `addProxy(java.lang.String proxyHost, java.lang.String proxyPort, java.lang.String proxyUser, java.lang.String proxyPass, java.lang.String nonProxyHosts)`
`protected org.eclipse.aether.graph.DependencyNode` | `collectDependencies(java.lang.String scope)`
`DependencyManager` | `createCopy(BuildSettings buildSettings = null)`
`protected Dependency` | `createGrailsDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)`
`groovy.util.slurpersupport.GPathResult` | `downloadPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion)`
`groovy.util.slurpersupport.GPathResult` | `downloadPluginList(java.io.File localFile)` Produces a report printed to System.out of the dependency graph
`java.util.Collection` | `getAllDependencies()`
`java.util.Collection` | `getAllDependencies(java.lang.String scope)`
`java.util.Collection` | `getApplicationDependencies()`
`java.util.Collection` | `getApplicationDependencies(java.lang.String scope)`
`ExcludeResolver` | `getExcludeResolver()`
`java.util.Collection` | `getPluginDependencies()`
`java.util.Collection` | `getPluginDependencies(java.lang.String scope)`
`java.util.List` | `getRepositories()`
`org.eclipse.aether.RepositorySystemSession` | `getSession()`
`protected void` | `includeJavadocAndSourceIfNecessary(java.util.List aetherDependencies, org.eclipse.aether.graph.Dependency dependency)`
`protected boolean` | `isGrailsPlugin(Dependency dependency)`
`void` | `parseDependencies(groovy.lang.Closure callable)` Parse the dependency definition DSL
`void` | `produceReport(java.lang.String scope)`
`void` | `produceReport()`
`protected void` | `reportOnScope(java.lang.String scope, java.lang.String desc)`
`DependencyReport` | `resolve(java.lang.String scope = "runtime")` Resolve dependencies for the given scope
`DependencyReport` | `resolveAgent()`
`AetherGraphNode` | `resolveToGraphNode(java.lang.String scope)`
`protected AetherGraphNode` | `resolveToGraphNode(org.eclipse.aether.graph.DependencyNode root, java.lang.String scope)`
`protected org.eclipse.aether.resolution.DependencyResult` | `resolveToResult(org.eclipse.aether.graph.DependencyNode node, java.lang.String scope)`
`void` | `setJvmAgent(org.eclipse.aether.graph.Dependency jvmAgent)`
`void` | `setRepositories(java.util.List repositories)`
`void` | `setSettings(org.apache.maven.settings.Settings settings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### buildDependencies

    protected java.util.List buildDependencies

### dependencies

    protected java.util.List dependencies

### grailsDependencies

    protected java.util.List grailsDependencies

### grailsDependenciesByScope

    protected java.util.Map grailsDependenciesByScope

### grailsPluginDependencies

    protected java.util.Set grailsPluginDependencies

### grailsPluginDependenciesByScope

    protected java.util.Map grailsPluginDependenciesByScope

### jvmAgent

    protected org.eclipse.aether.graph.Dependency jvmAgent

### jvmAgentReport

    protected DependencyReport jvmAgentReport

### repositories

    protected java.util.List repositories

Property Detail

### DEFAULT_CACHE

    static final java.lang.String DEFAULT_CACHE

### SCOPE_MAPPINGS

    static final java.util.Map SCOPE_MAPPINGS

### basedir

    java.lang.String basedir

### cacheDir

    java.lang.String cacheDir

### checksumPolicy

    java.lang.String checksumPolicy

### defaultDependenciesProvided

    boolean defaultDependenciesProvided

### exclusionDependencySelector

    org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

### includeJavadoc

    boolean includeJavadoc

  Whether to include the javadoc

### includeSource

    boolean includeSource

  Whether to include the source

### inheritedDependencies

    java.util.Map inheritedDependencies

### java5compatible

    boolean java5compatible

### loggerManager

    GrailsConsoleLoggerManager loggerManager

### readPom

    boolean readPom

### settings

    org.apache.maven.settings.Settings settings

Constructor Detail

### AetherDependencyManager

    AetherDependencyManager()

Method Detail

### addAttachments

    protected void addAttachments(org.eclipse.aether.graph.DependencyNode root, java.lang.String classifier)

### addBuildDependency

    void addBuildDependency(Dependency dependency, org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector = null)

### addBuildDependency

    void addBuildDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)

### addDependency

    void addDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)

### addDependency

    void addDependency(Dependency dependency, java.lang.String scope, org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector = null)

### addProxy

    java.net.Proxy addProxy(java.lang.String proxyHost, java.lang.String proxyPort, java.lang.String proxyUser, java.lang.String proxyPass, java.lang.String nonProxyHosts)

### collectDependencies

    protected org.eclipse.aether.graph.DependencyNode collectDependencies(java.lang.String scope)

### createCopy

    @java.lang.Override
    DependencyManager createCopy(BuildSettings buildSettings = null)

### createGrailsDependency

    protected Dependency createGrailsDependency(org.eclipse.aether.graph.Dependency dependency, DependencyConfiguration configuration = null)

### downloadPluginInfo

    @java.lang.Override
    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    groovy.util.slurpersupport.GPathResult downloadPluginInfo(java.lang.String pluginName, java.lang.String pluginVersion)

### downloadPluginList

    groovy.util.slurpersupport.GPathResult downloadPluginList(java.io.File localFile)

  Produces a report printed to System.out of the dependency graph

### getAllDependencies

    @java.lang.Override
    java.util.Collection getAllDependencies()

### getAllDependencies

    @java.lang.Override
    java.util.Collection getAllDependencies(java.lang.String scope)

### getApplicationDependencies

    @java.lang.Override
    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    java.util.Collection getApplicationDependencies()

### getApplicationDependencies

    @java.lang.Override
    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    java.util.Collection getApplicationDependencies(java.lang.String scope)

### getExcludeResolver

    @java.lang.Override
    ExcludeResolver getExcludeResolver()

### getPluginDependencies

    @java.lang.Override
    java.util.Collection getPluginDependencies()

### getPluginDependencies

    java.util.Collection getPluginDependencies(java.lang.String scope)

### getRepositories

    java.util.List getRepositories()

### getSession

    org.eclipse.aether.RepositorySystemSession getSession()

### includeJavadocAndSourceIfNecessary

    protected void includeJavadocAndSourceIfNecessary(java.util.List aetherDependencies, org.eclipse.aether.graph.Dependency dependency)

### isGrailsPlugin

    protected boolean isGrailsPlugin(Dependency dependency)

### parseDependencies

    void parseDependencies(groovy.lang.Closure callable)

  Parse the dependency definition DSL
  Parameters:
    `callable` - The DSL definition

### produceReport

    void produceReport(java.lang.String scope)

### produceReport

    void produceReport()

### reportOnScope

    protected void reportOnScope(java.lang.String scope, java.lang.String desc)

### resolve

    DependencyReport resolve(java.lang.String scope = "runtime")

  Resolve dependencies for the given scope
  Parameters:
    `scope` - The scope (defaults to 'runtime')
  Returns:
    A DependencyReport instance

### resolveAgent

    @java.lang.Override
    DependencyReport resolveAgent()

### resolveToGraphNode

    AetherGraphNode resolveToGraphNode(java.lang.String scope)

### resolveToGraphNode

    protected AetherGraphNode resolveToGraphNode(org.eclipse.aether.graph.DependencyNode root, java.lang.String scope)

### resolveToResult

    protected org.eclipse.aether.resolution.DependencyResult resolveToResult(org.eclipse.aether.graph.DependencyNode node, java.lang.String scope)

### setJvmAgent

    void setJvmAgent(org.eclipse.aether.graph.Dependency jvmAgent)

### setRepositories

    void setRepositories(java.util.List repositories)

### setSettings

    void setSettings(org.apache.maven.settings.Settings settings)

Groovy Documentation